<?
  session_start();
  session_register("Code_session");
?>
<? 
// Option $Explicit;
ob_start();
NumCode();$
$FunctionNumCode();
header("Expires: ".-1);
header("Pragma".": "."no-cache");
header("cache-ctrol".": "."no-cache");
mt_srand((double)microtime()*1000000);
$zNum=intval(8999*(mt_rand(0,10000000)/10000000)+1000);
$Code_session=$zNum;
$NStr=$zNum;
for ($i=0; $i<=3; $i=$i+1)
{

  $zimg[$i]=intval(substr($NStr,$i+1-1,1));

} 

// $Ados is of type "Adodb.Stream"

$Ados.$Mode=3;
$Ados.$Type=1;
$Ados.$Open;
// $Ados1 is of type "Adodb.Stream"

$Ados1.$Mode=3;
$Ados1.$Type=1;
$Ados1.$Open;
$Ados.("body.Fix"));
("head.fix"));
;
}
$LoadFromFile[// asp2php says 'huh'?: $Ados1.$write$Ados.$read[1280]$for$i=03$Ados.$Position=(9-$zimg[$i])*320$Ados1.$Position=$i*320$Ados1.$write$ados.$read[320]$next$Ados.$LoadFromFile[// asp2php says 'huh'?: $Pos=strlen($Ados.$read[])$Ados.$Position=$Pos$for$i=09$step1$for$j=03$Ados1.$Position=$i*32+$j*320$Ados.$Position=$Pos+30*$j+$i*120$Ados.$write$ados1.$read[30]$next$next$Response.$ContentType="images/BMP"$Ados.$Position=0$Response.$BinaryWrite$Ados.$read[]$Ados.$Close$Ados=null;
$Ados1.$Close$Ados1=null;
]]
